package com.xx.hbhconsumer.data.local

import com.xx.hbhconsumer.data.http.respons.MerchantBean
import com.xx.hbhconsumer.data.http.respons.UserBean
import com.google.gson.Gson
import me.goldze.mvvmhabit.utils.SPUtils

object LocalData  {

    /**
     * 存储用户信息
     */
    @JvmStatic
    fun delAllData() {
        SPUtils.getInstance().clear()
    }

    @JvmStatic
    fun saveToken(token:String) {
        SPUtils.getInstance().put("token",token)
    }

    @JvmStatic
    fun getToken() :String{
       return SPUtils.getInstance().getString("token")
    }

    /**
     * 存储用户信息
     */
    @JvmStatic
    fun saveUser(user:UserBean) {
        SPUtils.getInstance().put("UserInformation",Gson().toJson(user))
    }
    /**
     * 获取用户信息
     */
    @JvmStatic
    fun getUser() :UserBean{
       var userStr= SPUtils.getInstance().getString("UserInformation")
        return Gson().fromJson(userStr,UserBean::class.java)
    }

    /**
     * 存储商户信息
     */
    @JvmStatic
    fun saveMerchant(merchant:MerchantBean) {
        SPUtils.getInstance().put("MerchantInformation",Gson().toJson(merchant))
    }
    /**
     * 获取商户信息
     */
    @JvmStatic
    fun getMerchant() :MerchantBean{
        var merchantStr= SPUtils.getInstance().getString("MerchantInformation")
        return Gson().fromJson(merchantStr,MerchantBean::class.java)
    }

    /**
     * 存储商户信息
     */
    @JvmStatic
    fun saveAffiliatedCompany(affiliatedCompany:String) {
        SPUtils.getInstance().put("affiliatedCompany", affiliatedCompany)
    }

    /**
     * 获取商户信息
     */
    @JvmStatic
    fun getAffiliatedCompany(): String {
        return SPUtils.getInstance().getString("affiliatedCompany", "1")
    }

    /**
     * 存储商户信息
     */
    @JvmStatic
    fun saveSearchWords(searchWords:String) {
        if ("".equals(searchWords)) {
            SPUtils.getInstance().put("searchWords", "")
            return
        }
        var data = getSearchWords();
        if (data.contains("," + searchWords + ",")) {
            data = data.replace(searchWords + ",", "")
        }
        if ("".equals(data)) {
            data = data + "," + searchWords + ","
        } else {
            data = data + searchWords + ","
        }
        SPUtils.getInstance().put("searchWords", data)
    }

    /**
     * 获取商户信息
     */
    @JvmStatic
    fun getSearchWords(): String {
        var result = SPUtils.getInstance().getString("searchWords", "");
        return result
    }

    /**
     * 存储商户信息
     */
    @JvmStatic
    fun saveShopSearchWords(searchWords:String) {
        SPUtils.getInstance().put("shopSearchWords", searchWords)
    }

    /**
     * 获取商户信息
     */
    @JvmStatic
    fun getShopSearchWords(): String {
        return SPUtils.getInstance().getString("shopSearchWords", "")
    }
}